Page MenuHomePhabricator

Run MediaWiki tests on PHP 7.3
Closed, ResolvedPublic

Description

Prior art: T144962

We need to add PHP 7.3 jobs for MediaWiki CI, in anticipation for Wikimedia production and the rest of the world moving to 7.3

Related Objects

StatusSubtypeAssignedTask
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedAddshore
ResolvedLadsgroup
Resolvedthiemowmde
ResolvedMaxSem
Resolvedmatmarex
Resolvedthiemowmde
ResolvedJdforrester-WMF
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedBPirkle
ResolvedKrinkle
ResolvedxSavitar
Resolvedkostajh
ResolvedKrinkle
Resolved santhosh
ResolvedRazeSoldier
ResolvedAnomie
ResolvedRazeSoldier

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 463903 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add quibble-stretch-php71 docker image

https://gerrit.wikimedia.org/r/463903

Change 463903 merged by jenkins-bot:
[integration/config@master] Add quibble-stretch-php71 docker image

https://gerrit.wikimedia.org/r/463903

Change 463905 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add quibble php71 jobs

https://gerrit.wikimedia.org/r/463905

Change 463905 merged by jenkins-bot:
[integration/config@master] Add quibble php71 jobs

https://gerrit.wikimedia.org/r/463905

MediaWiki core had a clean test run on 7.1. Extension gate ran into two errors in the databaseless tests before aborting (blockers filed).

Change 466811 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Make MediaWiki PHP 7.1 tests voting

https://gerrit.wikimedia.org/r/466811

Change 466811 merged by jenkins-bot:
[integration/config@master] Make MediaWiki PHP 7.1 tests voting

https://gerrit.wikimedia.org/r/466811

Change 466991 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add quibble-stretch-php72 image

https://gerrit.wikimedia.org/r/466991

Change 466991 merged by jenkins-bot:
[integration/config@master] Add quibble-stretch-php72 image

https://gerrit.wikimedia.org/r/466991

Change 467026 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] travis: Remove PHP 7.2 from allowed failures

https://gerrit.wikimedia.org/r/467026

Change 467026 merged by jenkins-bot:
[mediawiki/core@master] travis: Remove PHP 7.2 from allowed failures

https://gerrit.wikimedia.org/r/467026

Legoktm renamed this task from Run MediaWiki tests on PHP 7.2 to Run MediaWiki tests on PHP 7.3.Oct 15 2018, 9:52 PM
Legoktm updated the task description. (Show Details)

Change 467259 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add Quibble PHP 7.3 image

https://gerrit.wikimedia.org/r/467259

Change 467259 merged by jenkins-bot:
[integration/config@master] Add Quibble PHP 7.3 image

https://gerrit.wikimedia.org/r/467259

Change 467536 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add experimental Quibble PHP 7.3 jobs

https://gerrit.wikimedia.org/r/467536

Change 467536 merged by jenkins-bot:
[integration/config@master] Add experimental Quibble PHP 7.3 jobs

https://gerrit.wikimedia.org/r/467536

Are we planning to add PHP 7.3 to our travis CI?

Are we planning to add PHP 7.3 to our travis CI?

Yeah, we should do that eventually. But I don't think it'll add any extra value over what we have Jenkins doing right now.

Change 473312 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Make PHP 7.2 MediaWiki tests voting

https://gerrit.wikimedia.org/r/473312

Change 473312 merged by jenkins-bot:
[integration/config@master] Make PHP 7.2 MediaWiki tests voting

https://gerrit.wikimedia.org/r/473312

WDoranWMF removed Legoktm as the assignee of this task.Jul 5 2019, 6:26 PM
Reedy added a subscriber: Reedy.Jul 24 2019, 6:55 AM

Time to move 73 from experimental?

Change 525214 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Move PHP 7.3 jobs from experimental

https://gerrit.wikimedia.org/r/525214

Change 525296 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] .travis.yml: Don't allow failures for PHP 7.3 any more

https://gerrit.wikimedia.org/r/525296

Change 525296 merged by jenkins-bot:
[mediawiki/core@master] .travis.yml: Don't allow failures for PHP 7.3 any more

https://gerrit.wikimedia.org/r/525296

Change 525214 merged by jenkins-bot:
[integration/config@master] layout: [quibble] Move all PHP 7.3 jobs from experimental to voting

https://gerrit.wikimedia.org/r/525214